Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
rcmaniac25
Posts: 1,804
Registered: ‎04-28-2009
My Device: Z10 (STL100-4)-10.2.1.2174, Z10 (STL100-3)-10.3.0.700 Dev OS, Z30 (STA100-5)-10.3.0.700 Dev OS, PlayBook (16GB)-2.1.0.1917
My Carrier: Verizon

5.0 Simulator supporting OpenGL ES?

I installed Eclipse Java Plug-In 1.1, it had the 9500 simulator and compiled a quick OpenGL ES app, the simulator gives me a error that says "Access violation at 0x00000000" and the simulator closes.

 

Does the simulator support OpenGL ES or do I need to install the app on my actual device in order to test OpenGL ES?

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Please use plain text.
New Developer
jlgosse
Posts: 41
Registered: ‎05-24-2009
My Device: Storm 9530

Re: 5.0 Simulator supporting OpenGL ES?

I thought you could maybe find it at:

 

http://na.blackberry.com/eng/developers/resources/simulators.jsp

 

But it turns out the Storm2 and Curve 8530 are not listed there. You could maybe try a 5.0 version of the 9530, but that probably will not work.

 

Keep checking that link, in the meantime!

BlackBerry Mobile Software Developer
http://www.mobilitea.com/blog/
Please use plain text.
Developer
rcmaniac25
Posts: 1,804
Registered: ‎04-28-2009
My Device: Z10 (STL100-4)-10.2.1.2174, Z10 (STL100-3)-10.3.0.700 Dev OS, Z30 (STA100-5)-10.3.0.700 Dev OS, PlayBook (16GB)-2.1.0.1917
My Carrier: Verizon

Re: 5.0 Simulator supporting OpenGL ES?

I remember reading on the live blog from the BlackBerry Developer Conference that they said OpenGL will be available to all devices with OS 5.0. Doesn't mean they all support it (net.rim.device.api.opengles.GLUtils.isSupported()) but I know the Storm has a GPU and the Storm2 uses the same/similar GPU so they both support it.

 

When I run the above command on my device it states that it is supported but I want to make sure I do everything correct before I sign it and that I have all the correct code. The simulator that comes with Eclipse plugin 1.1 has a 9500 simulator which gives me the access error. The simulator that is on the simulator site just has the screen flicker black and white (depends on if I have Hardware acceleration on).

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Please use plain text.
Developer
rcmaniac25
Posts: 1,804
Registered: ‎04-28-2009
My Device: Z10 (STL100-4)-10.2.1.2174, Z10 (STL100-3)-10.3.0.700 Dev OS, Z30 (STA100-5)-10.3.0.700 Dev OS, PlayBook (16GB)-2.1.0.1917
My Carrier: Verizon

Re: 5.0 Simulator supporting OpenGL ES?

Has anyone else tried to debug OpenGL applications? If so have you run into the same issues?

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Please use plain text.
Administrator
MSohm
Posts: 14,376
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: 5.0 Simulator supporting OpenGL ES?

If the error occurs on startup, delete the .dmp files from the simulator directory (BlackBerry menu, Erase Simulator File, Erase All).  If not can you post some sample code that triggers this error?

 

What version of Windows are you running?  Please also make sure you have the latest version of DirectX installed.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
Developer
rcmaniac25
Posts: 1,804
Registered: ‎04-28-2009
My Device: Z10 (STL100-4)-10.2.1.2174, Z10 (STL100-3)-10.3.0.700 Dev OS, Z30 (STA100-5)-10.3.0.700 Dev OS, PlayBook (16GB)-2.1.0.1917
My Carrier: Verizon

Re: 5.0 Simulator supporting OpenGL ES?

I am running Windows Vista Ultimate 32bit, SP2. It is running the most up to date version of DirectX. I am running the 1.1 plugin for Eclipse, where could I erase the *.dmp files or should I just do it manually?

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Please use plain text.
Developer
rcmaniac25
Posts: 1,804
Registered: ‎04-28-2009
My Device: Z10 (STL100-4)-10.2.1.2174, Z10 (STL100-3)-10.3.0.700 Dev OS, Z30 (STA100-5)-10.3.0.700 Dev OS, PlayBook (16GB)-2.1.0.1917
My Carrier: Verizon

Re: 5.0 Simulator supporting OpenGL ES?

Since I couldn't find a button to erase the *.dmp files, I just deleted them manually. I forgot to mention that the error is when I run the app. The OpenGL is in a seperete screen and when I click the button that opens the screen I get that error.

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Please use plain text.
Administrator
MSohm
Posts: 14,376
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: 5.0 Simulator supporting OpenGL ES?

Are you using the latest 5.0 beta release?  You can check under Options, About in the BlackBerry smartphone simulator.  The most current beta release to date is 5.0.0.334 / Platform 2.13.0.65.

 

If you do have the latest version please report the issue using the Developer Issue Tracker.

 

 

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
Developer
rcmaniac25
Posts: 1,804
Registered: ‎04-28-2009
My Device: Z10 (STL100-4)-10.2.1.2174, Z10 (STL100-3)-10.3.0.700 Dev OS, Z30 (STA100-5)-10.3.0.700 Dev OS, PlayBook (16GB)-2.1.0.1917
My Carrier: Verizon

Re: 5.0 Simulator supporting OpenGL ES?

I am using the version that came with Eclipse Plug-In 1.1. I will download the new simulator (running 5.0.0.334) and try that out. If I run into the issue again should I put the bug in the API group or a different one?

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Please use plain text.
Administrator
MSohm
Posts: 14,376
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: 5.0 Simulator supporting OpenGL ES?

The current 1.1 beta should have the latest simulator, or pretty close to it.  FYI I took that version from the latest BlackBerry JDE beta.

 

Logging this under the API group is fine.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.